Loading...
Searching...
No Matches
itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions > Class Template Referenceabstract
Components » Transforms

`#include <itkStackTransform.h>`

## Detailed Description

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>
class itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >

Implements stack of transforms: one for every last dimension index.

A list of transforms with dimension of Dimension - 1 is maintained: one for every last dimension index. This transform selects the right transform based on the last dimension index of the input point.

Definition at line 40 of file itkStackTransform.h.

Inheritance diagram for itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | NonZeroJacobianIndicesType
using | ParametersArrayType = typename ParametersType::ArrayType
using | Pointer = SmartPointer<Self>
using | Self = StackTransform
using | SpatialHessianType
using | SpatialJacobianType
using | SubTransformInputPointType = typename SubTransformType::InputPointType
using | SubTransformJacobianType = typename SubTransformType::JacobianType
using | SubTransformOutputPointType = typename SubTransformType::OutputPointType
using | SubTransformPointer = typename SubTransformType::Pointer
using | SubTransformType
using | Superclass = AdvancedTransform<TScalarType, NInputDimensions, NOutputDimensions>
Public Types inherited from itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer

## Public Member Functions

virtual const char * | GetClassName () const
void | GetJacobian (const InputPointType &inputPoint, JacobianType &jac, NonZeroJacobianIndicesType &nzji) const override
NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const override
NumberOfParametersType | GetNumberOfParameters () const override
auto | GetNumberOfSubTransforms () const
const ParametersType & | GetParameters () const override
virtual TScalarType | GetStackOrigin () const
virtual TScalarType | GetStackSpacing () const
SubTransformPointer | GetSubTransform (unsigned int i)
| ITK_DISALLOW_COPY_AND_MOVE (StackTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, NOutputDimensions)
| itkStaticConstMacro (ReducedInputSpaceDimension, unsigned int, NInputDimensions - 1)
| itkStaticConstMacro (ReducedOutputSpaceDimension, unsigned int, NOutputDimensions - 1)
void | SetAllSubTransforms (const SubTransformType &transform)
void | SetFixedParameters (const FixedParametersType &fixedParameters) override
void | SetNumberOfSubTransforms (const unsigned int num)
void | SetParameters (const ParametersType &param) override
virtual void | SetStackOrigin (TScalarType _arg)
virtual void | SetStackSpacing (TScalarType _arg)
void | SetSubTransform (unsigned int i, SubTransformType *transform)
OutputPointType | TransformPoint (const InputPointType &inputPoint) const override
void | UpdateFixedParameters ()
Public Member Functions inherited from itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, NOutputDimensions)

## Protected Types

enum | { IndexOfNumberOfSubTransforms , IndexOfStackSpacing , IndexOfStackOrigin , NumberOfGeneralFixedParametersOfStack }

## Protected Member Functions

void | CreateSubTransforms (const FixedParametersType &fixedParametersOfSubTransform)
| StackTransform ()=default
virtual void | UpdateFixedParametersInternally (const FixedParametersType &fixedParametersOfSubTransform)
void | UpdateStackSpacingAndOrigin ()
| ~StackTransform () override=default
Protected Member Functions inherited from itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default

## Private Member Functions

virtual SubTransformPointer | CreateSubTransform () const =0
void | GetJacobianOfSpatialHessian (const InputPointType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialHessian (const InputPointType &, SpatialHessianType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, SpatialJacobianType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
void | GetSpatialHessian (const InputPointType &, SpatialHessianType &) const override
void | GetSpatialJacobian (const InputPointType &, SpatialJacobianType &) const override
OutputCovariantVectorType | TransformCovariantVector (const InputCovariantVectorType &) const override
OutputVectorType | TransformVector (const InputVectorType &) const override
OutputVnlVectorType | TransformVector (const InputVnlVectorType &) const override

## Private Attributes

TScalarType | m_StackOrigin { 0.0 }
TScalarType | m_StackSpacing { 1.0 }
std::vector< SubTransformPointer > | m_SubTransformContainer {}

## Static Private Attributes

static constexpr const char * | unimplementedOverrideMessage = "Not implemented for StackTransform"

## Additional Inherited Members

Protected Attributes inherited from itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian

## Member Typedef Documentation

## ConstPointer

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::ConstPointer = SmartPointer<const Self>

Definition at line 49 of file itkStackTransform.h.

## JacobianOfSpatialHessianType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::JacobianOfSpatialHessianType

Definition at line 139 of file itkAdvancedTransform.h.

## JacobianOfSpatialJacobianType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::JacobianOfSpatialJacobianType

Definition at line 135 of file itkAdvancedTransform.h.

## NonZeroJacobianIndicesType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::NonZeroJacobianIndicesType

Types for the (Spatial)Jacobian/Hessian. Using an itk::FixedArray instead of an std::vector gives a performance gain for the SpatialHessianType.

Definition at line 133 of file itkAdvancedTransform.h.

## ParametersArrayType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::ParametersArrayType = typename ParametersType::ArrayType

Array type for parameter vector instantiation.

Definition at line 94 of file itkStackTransform.h.

## Pointer

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::Pointer = SmartPointer<Self>

Definition at line 48 of file itkStackTransform.h.

## Self

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::Self = StackTransform

Standard class typedefs.

Definition at line 46 of file itkStackTransform.h.

## SpatialHessianType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::SpatialHessianType

Definition at line 137 of file itkAdvancedTransform.h.

## SpatialJacobianType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::SpatialJacobianType

Definition at line 134 of file itkAdvancedTransform.h.

## SubTransformInputPointType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SubTransformInputPointType = typename SubTransformType::InputPointType

Dimension - 1 point types.

Definition at line 90 of file itkStackTransform.h.

## SubTransformJacobianType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SubTransformJacobianType = typename SubTransformType::JacobianType

Definition at line 87 of file itkStackTransform.h.

## SubTransformOutputPointType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SubTransformOutputPointType = typename SubTransformType::OutputPointType

Definition at line 91 of file itkStackTransform.h.

## SubTransformPointer

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SubTransformPointer = typename SubTransformType::Pointer

Definition at line 86 of file itkStackTransform.h.

## SubTransformType

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SubTransformType

Initial value:
AdvancedTransform<TScalarType, Self::ReducedInputSpaceDimension, Self::ReducedOutputSpaceDimension>
itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::AdvancedTransform
AdvancedTransform()=default

Sub transform types, having a reduced dimension.

Definition at line 84 of file itkStackTransform.h.

## Superclass

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

using itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::Superclass = AdvancedTransform<TScalarType, NInputDimensions, NOutputDimensions>

Definition at line 47 of file itkStackTransform.h.

## Member Enumeration Documentation

## anonymous enum

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

anonymous enum

protected

Enumerator
IndexOfNumberOfSubTransforms |
IndexOfStackSpacing |
IndexOfStackOrigin |
NumberOfGeneralFixedParametersOfStack |

Definition at line 241 of file itkStackTransform.h.

## Constructor & Destructor Documentation

## StackTransform()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::StackTransform | ( |  | ) |

protected default

## ~StackTransform()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::~StackTransform | ( |  | ) |

override protected default

## Member Function Documentation

## CreateSubTransform()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

virtual SubTransformPointer itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::CreateSubTransform | ( |  | ) | const

private pure virtual

Each override of this pure virtual member function should create a subtransform for the specific (derived) stack transform type. For example, for an TranslationStackTransform it should create an AdvancedTranslationTransform, and for an EulerStackTransform it should create an EulerTransform.

Implemented in itk::AffineLogStackTransform< NDimension >, itk::AffineLogStackTransform< SpaceDimension >, itk::BSplineStackTransform< NDimension >, itk::BSplineStackTransform< SpaceDimension >, itk::EulerStackTransform< NDimension >, itk::EulerStackTransform< SpaceDimension >, itk::TranslationStackTransform< NDimension >, and itk::TranslationStackTransform< SpaceDimension >.

## CreateSubTransforms()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::CreateSubTransforms | ( | const FixedParametersType & | fixedParametersOfSubTransform | ) |

inline protected

Definition at line 250 of file itkStackTransform.h.

## GetClassName()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

virtual const char * itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

Reimplemented in itk::AffineLogStackTransform< NDimension >, itk::AffineLogStackTransform< SpaceDimension >, itk::BSplineStackTransform< NDimension >, itk::BSplineStackTransform< SpaceDimension >, itk::EulerStackTransform< NDimension >, itk::EulerStackTransform< SpaceDimension >, itk::TranslationStackTransform< NDimension >, and itk::TranslationStackTransform< SpaceDimension >.

## GetJacobian()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetJacobian | ( | const InputPointType & | inputPoint,
|  | JacobianType & | jac,
|  | NonZeroJacobianIndicesType & | nzji ) const

override virtual

This returns a sparse version of the Jacobian of the transformation. In this class however, the Jacobian is not sparse. However, it is a useful function, since the Jacobian is passed by reference, which makes it threadsafe, unlike the normal GetJacobian function.

Implements itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

## GetJacobianOfSpatialHessian() [1/2]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetJacobianOfSpatialHessian | ( | const InputPointType & | ,
|  | JacobianOfSpatialHessianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override private virtual

Implements itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

Definition at line 371 of file itkStackTransform.h.

## GetJacobianOfSpatialHessian() [2/2]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetJacobianOfSpatialHessian | ( | const InputPointType & | ,
|  | SpatialHessianType & | ,
|  | JacobianOfSpatialHessianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override private virtual

Implements itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

Definition at line 380 of file itkStackTransform.h.

## GetJacobianOfSpatialJacobian() [1/2]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetJacobianOfSpatialJacobian | ( | const InputPointType & | ,
|  | JacobianOfSpatialJacobianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override private virtual

Implements itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

Definition at line 354 of file itkStackTransform.h.

## GetJacobianOfSpatialJacobian() [2/2]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetJacobianOfSpatialJacobian | ( | const InputPointType & | ,
|  | SpatialJacobianType & | ,
|  | JacobianOfSpatialJacobianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override private virtual

Implements itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

Definition at line 362 of file itkStackTransform.h.

## GetNumberOfNonZeroJacobianIndices()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

NumberOfParametersType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetNumberOfNonZeroJacobianIndices | ( |  | ) | const

override virtual

Get number of nonzero Jacobian indices.

Reimplemented from itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

## GetNumberOfParameters()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

NumberOfParametersType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetNumberOfParameters | ( |  | ) | const

inline override

Return the number of sub transforms that have been set.

Definition at line 143 of file itkStackTransform.h.

## GetNumberOfSubTransforms()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

auto itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetNumberOfSubTransforms | ( |  | ) | const

inline

Definition at line 170 of file itkStackTransform.h.

## GetParameters()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

const ParametersType & itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetParameters | ( |  | ) | const

override

Get the parameters. Concatenates the parameters of the sub transforms.

## GetSpatialHessian()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetSpatialHessian | ( | const InputPointType & | ,
|  | SpatialHessianType & | ) const

inline override private virtual

Implements itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

Definition at line 348 of file itkStackTransform.h.

## GetSpatialJacobian()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetSpatialJacobian | ( | const InputPointType & | ,
|  | SpatialJacobianType & | ) const

inline override private virtual

Must be provided.

Implements itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >.

Definition at line 342 of file itkStackTransform.h.

## GetStackOrigin()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

virtual TScalarType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetStackOrigin | ( |  | ) | const

virtual

## GetStackSpacing()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

virtual TScalarType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetStackSpacing | ( |  | ) | const

virtual

## GetSubTransform()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

SubTransformPointer itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::GetSubTransform | ( | unsigned int | i | ) |

inline

Get a sub transform.

Definition at line 226 of file itkStackTransform.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::ITK_DISALLOW_COPY_AND_MOVE | ( | StackTransform< TScalarType, NInputDimensions, NOutputDimensions > |  | ) |

## itkStaticConstMacro() [1/4]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::itkStaticConstMacro | ( | InputSpaceDimension | ,
|  | unsigned int | ,
|  | NInputDimensions | )

(Reduced) dimension of the domain space.

## itkStaticConstMacro() [2/4]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::itkStaticConstMacro | ( | OutputSpaceDimension | ,
|  | unsigned int | ,
|  | NOutputDimensions | )

## itkStaticConstMacro() [3/4]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::itkStaticConstMacro | ( | ReducedInputSpaceDimension | ,
|  | unsigned int | ,
|  | NInputDimensions - | 1 )

## itkStaticConstMacro() [4/4]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::itkStaticConstMacro | ( | ReducedOutputSpaceDimension | ,
|  | unsigned int | ,
|  | NOutputDimensions - | 1 )

## SetAllSubTransforms()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SetAllSubTransforms | ( | const SubTransformType & | transform | ) |

inline

Set all sub transforms to transform.

Definition at line 205 of file itkStackTransform.h.

## SetFixedParameters()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SetFixedParameters | ( | const FixedParametersType & | fixedParameters | ) |

inline override

Set the fixed parameters.

Definition at line 120 of file itkStackTransform.h.

## SetNumberOfSubTransforms()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SetNumberOfSubTransforms | ( | const unsigned int | num | ) |

inline

Set/get number of transforms needed.

Definition at line 158 of file itkStackTransform.h.

## SetParameters()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SetParameters | ( | const ParametersType & | param | ) |

override

Set the parameters. Checks if the number of parameters is correct and sets parameters of sub transforms.

## SetStackOrigin()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

virtual void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SetStackOrigin | ( | TScalarType | _arg | ) |

virtual

## SetStackSpacing()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

virtual void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SetStackSpacing | ( | TScalarType | _arg | ) |

virtual

Set/get stack transform parameters.

## SetSubTransform()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::SetSubTransform | ( | unsigned int | i,
|  | SubTransformType * | transform )

inline

Set the initial transform for sub transform i.

Definition at line 184 of file itkStackTransform.h.

## TransformCovariantVector()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

OutputCovariantVectorType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::TransformCovariantVector | ( | const InputCovariantVectorType & |  | ) | const

inline override private

Definition at line 334 of file itkStackTransform.h.

## TransformPoint()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

OutputPointType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::TransformPoint | ( | const InputPointType & | inputPoint | ) | const

override

Method to transform a point.

## TransformVector() [1/2]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

OutputVectorType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::TransformVector | ( | const InputVectorType & |  | ) | const

inline override private

These vector transforms are not implemented for this transform.

Definition at line 322 of file itkStackTransform.h.

## TransformVector() [2/2]

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

OutputVnlVectorType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::TransformVector | ( | const InputVnlVectorType & |  | ) | const

inline override private

Definition at line 328 of file itkStackTransform.h.

## UpdateFixedParameters()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::UpdateFixedParameters | ( |  | ) |

inline

Sets the fixed parameters to the general fixed parameters of the stack + the fixed parameters of the first sub-transform (if any).

Definition at line 194 of file itkStackTransform.h.

## UpdateFixedParametersInternally()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

virtual void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::UpdateFixedParametersInternally | ( | const FixedParametersType & | fixedParametersOfSubTransform | ) |

inline protected virtual

Sets the fixed parameters to the general fixed parameters of the stack + the specified fixed parameters of a sub-transform.

Reimplemented in itk::BSplineStackTransform< NDimension >, and itk::BSplineStackTransform< SpaceDimension >.

Definition at line 285 of file itkStackTransform.h.

## UpdateStackSpacingAndOrigin()

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

void itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::UpdateStackSpacingAndOrigin | ( |  | ) |

inline protected

Definition at line 274 of file itkStackTransform.h.

## Field Documentation

## m_StackOrigin

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

TScalarType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::m_StackOrigin { 0.0 }

private

Definition at line 394 of file itkStackTransform.h.

## m_StackSpacing

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

TScalarType itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::m_StackSpacing { 1.0 }

private

Definition at line 393 of file itkStackTransform.h.

## m_SubTransformContainer

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

std::vector<SubTransformPointer> itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::m_SubTransformContainer {}

private

Definition at line 390 of file itkStackTransform.h.

## unimplementedOverrideMessage

template<class TScalarType, unsigned int NInputDimensions, unsigned int NOutputDimensions>

const char* itk::StackTransform< TScalarType, NInputDimensions, NOutputDimensions >::unimplementedOverrideMessage = "Not implemented for StackTransform"

static constexpr private

Definition at line 318 of file itkStackTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |